<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong>     := <a href="FS_MIN.html"><font color="#008000">FS_MIN</font></a>;

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong>  := <font color="#BC8F8F">"File system minimum"</font>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">external</font></strong> := <em><strong><font color="#A4DEA4">`#include <unistd.h>`</font></strong></em>;
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Inherit</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">parent_object</font></strong>:<a href="OBJECT.html"><font color="#008000">OBJECT</font></a> <- 
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Independance File System </B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">open_read</font></strong> n:<a href="ABSTRACT_STRING.html"><font color="#008000">ABSTRACT_STRING</font></a> :<a href="POINTER.html"><font color="#008000">POINTER</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">open_write</font></strong> n:<a href="ABSTRACT_STRING.html"><font color="#008000">ABSTRACT_STRING</font></a> :<a href="POINTER.html"><font color="#008000">POINTER</font></a> <- 
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read</font></strong> f:<a href="POINTER.html"><font color="#008000">POINTER</font></a> <strong><font color="#0000FF">in</font></strong> buf:<a href="STRING.html"><font color="#008000">STRING</font></a> <strong><font color="#0000FF">size</font></strong> sz:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> :<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-   
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">write</font></strong> f:<a href="POINTER.html"><font color="#008000">POINTER</font></a> <strong><font color="#0000FF">with</font></strong> buf:<a href="STRING.html"><font color="#008000">STRING</font></a> <strong><font color="#0000FF">size</font></strong> sz:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> :<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-   
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">close</font></strong> p:<a href="POINTER.html"><font color="#008000">POINTER</font></a> <- 
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">file_size</font></strong> p:<a href="POINTER.html"><font color="#008000">POINTER</font></a> :<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">make_file</font></strong> new_path:<a href="ABSTRACT_STRING.html"><font color="#008000">ABSTRACT_STRING</font></a> :<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
</body>
</html>

